From bb07a4f9732cefadd9dfdceffc913bd26c92b5cd Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 17 2020 06:04:00 +0000
Subject: [PATCH 142/2232] Use qualified name of strlen


---

diff --git a/src/cxx.cc b/src/cxx.cc
index f55d062..6fae0f9 100644
--- a/src/cxx.cc
+++ b/src/cxx.cc
@@ -52,7 +52,7 @@ String::String(const std::string &s) {
 }
 
 String::String(const char *s) {
-  auto len = strlen(s);
+  auto len = std::strlen(s);
   if (!cxxbridge02$string$from(this, s, len)) {
     throw std::invalid_argument("data for rust::String is not utf-8");
   }
@@ -105,7 +105,7 @@ Str::Str(const std::string &s) : repr(Repr{s.data(), s.length()}) {
   }
 }
 
-Str::Str(const char *s) : repr(Repr{s, strlen(s)}) {
+Str::Str(const char *s) : repr(Repr{s, std::strlen(s)}) {
   if (!cxxbridge02$str$valid(this->repr.ptr, this->repr.len)) {
     throw std::invalid_argument("data for rust::Str is not utf-8");
   }

